<div
  class="banner-interno"
  fxLayout="row wrap"
  fxLayoutAlign="center end"
  fxLayoutAlign.gt-sm="start end"
>
  <div fxFlex="100">
    <div class="container">
      <h1>Cotiza y personaliza tu Producto</h1>
    </div>
  </div>
</div>
<div class="container" fxLayout="row wrap" fxLayoutAlign="center center">
  <mat-horizontal-stepper
    class="stepper-cotizacion"
    #stepper
    linear
    fxFlex.gt-md="60"
    fxFlex.md="70"
    fxFlex.sm="90"
    fxFlex="100"
    (selectionChange)="selectionChange($event)"
  >
    <mat-step [completed]="isValidCotizacion">
      <form #formCotizador="ngForm" [formGroup]="cotizadorForm">
        <ng-template matStepLabel>Cotización</ng-template>
        <mat-card fxLayout="column">
          <!-- <mat-form-field fxLayout="column">
            <textarea matInput placeholder="Textarea"></textarea>
        </mat-form-field> -->
          <div>
            <mat-form-field fxLayout="column">
              <mat-select
                formControlName="quequiere"
                placeholder="QUE EMOCIÓN QUIERES DESPERTAR EN ESTE ARTE"
              >
                <mat-option
                  *ngFor="let item of que_quieres[0]; let i = index"
                  [value]="item.id"
                  >{{ item.que }}</mat-option
                >
              </mat-select>
              <mat-error *ngIf="cotizadorForm.controls.quequiere.errors"
                >Este campo es requerido para continuar</mat-error
              >
            </mat-form-field>
          </div>

          <div *ngIf="!paraquelaobra">
            <mat-form-field fxLayout="column">
              <mat-select
                formControlName="paraqueloquiere"
                placeholder="PARA QUE QUIERO LA OBRA DE ARTE"
              >
                <mat-option
                  *ngFor="let item of paraQue[0]; let i = index"
                  [value]="item.id"
                  >{{ item.para_que }}</mat-option
                >
                <mat-option (click)="paraquelaobra = true">Otro</mat-option>
              </mat-select>
            </mat-form-field>
          </div>

          <div *ngIf="paraquelaobra">
            <mat-form-field class="otro-para-que">
              <mat-label>AYUDANOS A ENTENDER UN POCO MÁS</mat-label>
              <textarea
                formControlName="otroParaqueloquiere"
                autofocus
                matInput
                placeholder="Describenos"
                style="min-height: 150px"
              ></textarea>
              <button
                matSuffix
                mat-icon-button
                aria-label="volver al selector"
                style="margin-top: 13px !important"
                (click)="paraquelaobra = false"
              >
                <mat-icon>close</mat-icon>
              </button>
            </mat-form-field>
          </div>

          <div class="carrusel-content-refs">
            <h5 class="title-carr">
              SELECCIONE UNA REFERENCIA O FILTRO PARA SU OBRA DE ARTE:
            </h5>
            <mat-radio-group
              formControlName="referencia"
              aria-label="Referencia"
              *ngIf="imgags.length"
            >
              <ngu-carousel
                class="carrusel-refs"
                #myCarousel
                [inputs]="carouselTile"
                [dataSource]="imgags"
              >
                <ngu-tile *nguCarouselDef="let item; let j = index">
                  <mat-card
                    class="tile"
                    [style.background]="'url(' + env + item.imagen + ')'"
                    style="min-height: 300px"
                    fxLayout="column"
                    fxLayoutAlign="space-between"
                  >
                    <mat-card-header fxLayoutAlign="center center">
                      <mat-radio-button color="primary" [value]="item.id"
                        >Ref: {{ item.referencia }}</mat-radio-button
                      >
                    </mat-card-header>

                    <mat-card-content>
                      <p
                        #showDescrip
                        style="display: none"
                        class="animated fadeInUp"
                      >
                        {{ item.descripcion | slice: 0:206 }}
                        <span *ngIf="item.descripcion.length > 206">...</span>
                      </p>
                    </mat-card-content>
                    <mat-card-actions
                      fxLayoutAlign="center center"
                      fxLayout="column"
                    >
                      <button
                        mat-button
                        #btnShowDescript
                        (click)="showDescription(btnShowDescript, showDescrip)"
                      >
                        Descripción
                      </button>
                    </mat-card-actions>
                  </mat-card>
                </ngu-tile>
                <button
                  mat-icon-button
                  NguCarouselPrev
                  class="leftRs"
                  [style.opacity]="myCarousel.isFirst ? 0.5 : 1"
                >
                  <mat-icon>navigate_before</mat-icon>
                </button>
                <button
                  mat-icon-button
                  NguCarouselNext
                  class="rightRs"
                  [style.opacity]="myCarousel.isLast ? 0.5 : 1"
                >
                  <mat-icon>navigate_next</mat-icon>
                </button>
                <!-- <ul class="myPoint" NguCarouselPoint>
                                    <li *ngFor="let j of myCarousel.pointNumbers; let j = index" [class.active]="j==myCarousel.activePoint" (click)="myCarousel.moveTo(j)" [style.background]="'url(' + carouselTileItems[j] + ')'"></li>
                                </ul> -->
              </ngu-carousel>
            </mat-radio-group>
            <!-- <mat-error *ngIf="cotizadorForm.controls.referencia.errors">Seleccione una referencia</mat-error> -->
          </div>

          <div
            class="medidas-orion"
            fxFlex="100"
            fxLayoutGap.gt-xs="10px grid"
            fxLayout.gt-xs="row"
            fxLayout="column"
          >
            <div fxFlex="50">
              <mat-form-field fxLayout="column">
                <mat-select
                  formControlName="dimensions"
                  placeholder="TAMAÑO PARA MI OBRA DE ARTE"
                >
                  <mat-option
                    *ngFor="let size of dimension[0]; let i = index"
                    (click)="getPrice(size.precio)"
                    [value]="size.id"
                    >{{ size.dimension }}</mat-option
                  >
                </mat-select>
                <mat-error *ngIf="cotizadorForm.controls.dimensions.errors"
                  >Seleccione una dimensión para continuar</mat-error
                >
              </mat-form-field>
            </div>
            <div fxFlex="50">
              <mat-form-field fxLayout="column">
                <mat-select
                  formControlName="orientacion"
                  placeholder="ORIENTACIÓN PARA MI OBRA DE ARTE"
                >
                  <mat-option
                    *ngFor="let orientacion of orientaciones; let i = index"
                    [value]="i"
                    >{{ orientacion }}</mat-option
                  >
                </mat-select>
                <mat-error *ngIf="cotizadorForm.controls.orientacion.errors"
                  >Seleccione una orientacion para continuar</mat-error
                >
              </mat-form-field>
            </div>
          </div>
          <div
            class="imagen-attach"
            fxLayout.gt-sm="row wrap"
            fxLayoutGap.gt-sm="5px grid"
            fxLayoutAlign="center  center"
            fxLayout="column"
          >
            <h5 class="title-carr" fxFlex="100">
              SELECCIONE LAS IMÁGENES PARA SU OBRA DE ARTE:
            </h5>
            <div fxFlex.gt-sm="33.333">
              <input
                id="imagenone"
                (change)="fileProgress($event)"
                #imagenUp1
                formControlName="imagen1"
                type="file"
                placeholder="Cargue una imágen"
              />
            </div>

            <div fxFlex.gt-sm="33.333">
              <input
                id="imagentwo"
                (change)="fileProgress($event)"
                #imagenUp2
                formControlName="imagen2"
                type="file"
                placeholder="Cargue una imágen"
              />
            </div>

            <div fxFlex.gt-sm="33.333">
              <input
                id="imagenthree"
                (change)="fileProgress($event)"
                #imagenUp3
                formControlName="imagen3"
                type="file"
                placeholder="Cargue una imágen"
              />
            </div>
          </div>
          <br />
          <mat-card-actions fxLayoutAlign="center center">
            <div *ngIf="precioActual > 0">
              {{ precioActual | currency: "COP":"symbol-narrow":"1.0-0" }}
            </div>
            <button
              mat-stroked-button
              matStepperNext
              type="submit"
              (click)="onValueChanges(stepper)"
              [disabled]="!cotizadorForm.valid"
            >
              Siguiente
            </button>
            <!-- <button [disabled]="submited" mat-stroked-button (click)="dialogPolitics()">Descargar Cotizacion</button> -->
          </mat-card-actions>
        </mat-card>
      </form>
    </mat-step>
    <mat-step *ngIf="islogged == false">
      <ng-template matStepLabel>Validar información</ng-template>
      <div
        class="inpt-fields"
        fxLayout="row wrap"
        fxLayoutAlign="start stretch"
        fxLayoutGap.gt-sm="8px grid"
      >
        <form
          fxFlex.gt-sm="50"
          fxFlex="100"
          [formGroup]="loginForm"
          (ngSubmit)="onSubmitlogin()"
        >
          <div
            fxLayout="column"
            fxFlex.gt-sm="80"
            fxFlex="100"
            style="position: sticky; top: 80px"
          >
            <h5>Ingresar como usuario:</h5>
            <br />
            <mat-error *ngIf="loginInvalid">
              The username and password were not recognised
            </mat-error>

            <mat-form-field class="full-width-input" appearance="outline">
              <input
                matInput="matInput"
                placeholder="Email"
                formControlName="email"
              />
              <mat-error *ngIf="loginForm.controls.email.errors"
                >Correo no valido</mat-error
              >
            </mat-form-field>

            <mat-form-field class="full-width-input" appearance="outline">
              <input
                matInput="matInput"
                type="password"
                placeholder="Password"
                formControlName="password"
                [type]="hideLog ? 'password' : 'text'"
              />
              <button
                type="button"
                mat-icon-button
                matSuffix
                (click)="hideLog = !hideLog"
                [attr.aria-label]="'HideLog password'"
                [attr.aria-pressed]="hideLog"
              >
                <mat-icon>{{
                  hideLog ? "visibility_off" : "visibility"
                }}</mat-icon>
              </button>

              <mat-error> La contraseña es requerida </mat-error>
            </mat-form-field>
            <button
              [disabled]="!loginForm.valid"
              type="submit"
              mat-raised-button="mat-raised-button"
              color="primary"
            >
              Ingresar
            </button>
          </div>
        </form>
        <form fxFlex.gt-sm="50" fxFlex="100" [formGroup]="registroForm">
          <div fxLayout="column" fxFlex.gt-md="90" fxFlex="100">
            <h5>Formulario de registro:</h5>
            <br />

            <mat-form-field
              fxLayout="column"
              class="full-width-input"
              appearance="outline"
            >
              <mat-label>Seleccione si es persona natural o juridica</mat-label>
              <mat-select
                formControlName="tipoUsuario"
                placeholder="Persona natural o juridica"
                [disabled]="!isLogReg"
              >
                <mat-option
                  [value]="persona"
                  *ngFor="let persona of tipoPersona"
                  >{{ persona }}</mat-option
                >
              </mat-select>
              <mat-error *ngIf="registroForm.controls.tipoUsuario.errors"
                >Seleccione si es persona natural o juridica</mat-error
              >
            </mat-form-field>

            <mat-form-field class="full-width-input" appearance="outline">
              <input
                [disabled]="!isLogReg"
                matInput="matInput"
                placeholder="documento"
                formControlName="documentNo"
              />

              <mat-error *ngIf="registroForm.controls.documentNo.errors"
                >El # de documento o nit es requerido</mat-error
              >
            </mat-form-field>

            <mat-form-field class="full-width-input" appearance="outline">
              <input
                [disabled]="!isLogReg"
                matInput="matInput"
                placeholder="Email"
                formControlName="email"
              />

              <mat-error>Correo no valido</mat-error>
            </mat-form-field>

            <mat-form-field class="full-width-input" appearance="outline">
              <input
                [disabled]="!isLogReg"
                matInput="matInput"
                type="password"
                placeholder="Password"
                formControlName="password"
                [type]="hideReg ? 'password' : 'text'"
              />
              <button
                type="button"
                mat-icon-button
                matSuffix
                (click)="hideReg = !hideReg"
                [attr.aria-label]="'HideReg password'"
                [attr.aria-pressed]="hideReg"
              >
                <mat-icon>{{
                  hideReg ? "visibility_off" : "visibility"
                }}</mat-icon>
              </button>
              <mat-error
                *ngIf="registroForm.controls.password.errors?.required"
              >
                La contraseña es requerida
              </mat-error>
              <mat-error
                *ngIf="registroForm.controls.password.errors?.minlength"
              >
                La contraseña es muy corta
              </mat-error>
            </mat-form-field>
            <mat-form-field appearance="outline">
              <mat-label>Confirmar contraseña</mat-label>
              <input
                [disabled]="!isLogReg"
                matInput
                [type]="hideConf ? 'password' : 'text'"
                placeholder="password"
                formControlName="confirm"
              />
              <button
                type="button"
                mat-icon-button
                matSuffix
                (click)="hideConf = !hideConf"
                [attr.aria-label]="hideConf ? 'Hide password' : 'show password'"
              >
                <mat-icon>{{
                  hideConf ? "visibility_off" : "visibility"
                }}</mat-icon>
              </button>
              <mat-error *ngIf="registroForm.controls.confirm.errors"
                >No coincide la contraseña</mat-error
              >
            </mat-form-field>
            <button
              [disabled]="!registroForm.valid || !isLogReg || submitted"
              type="submit"
              mat-raised-button="mat-raised-button"
              (click)="userRegister()"
              color="primary"
            >
              Registrar
            </button>
          </div>
        </form>
      </div>
      <div fxFlex="100" fxLayoutAlign="center center">
        <button mat-button matStepperNext type="button" [disabled]="isLogReg">
          Siguiente
        </button>
      </div>
    </mat-step>

    <mat-step
      [completed]="direccionFormLocal.valid || direccionFormPersonal.valid"
    >
      <ng-template matStepLabel>Asignar dirección</ng-template>

      <mat-card>
        <mat-card-header>
          <mat-card-title>Direcciones</mat-card-title>
        </mat-card-header>
        <mat-card-content>
          <form *ngIf="!addresLocal" [formGroup]="direccionFormLocal">
            <mat-radio-group formControlName="direccion">
              <mat-list role="list">
                <h3 mat-subheader>Direcciones Laura Francioli</h3>
                <mat-list-item
                  role="listitem"
                  *ngFor="let addrs of direccionesLocales; let i = index"
                >
                  <mat-radio-button
                    (click)="selectedOption('f'); direccionFormPersonal.reset()"
                    [value]="i"
                    >{{ addrs.direccion }}</mat-radio-button
                  >
                </mat-list-item>
              </mat-list>
            </mat-radio-group>
          </form>

          <form *ngIf="!addresPersonal" [formGroup]="direccionFormPersonal">
            <mat-radio-group formControlName="direccion">
              <mat-list role="list">
                <mat-divider></mat-divider>
                <h3 mat-subheader>Direcciones Personales</h3>
                <mat-list-item
                  role="listitem"
                  *ngFor="
                    let addrsPersonal of direccionesPersonales;
                    let i = index
                  "
                >
                  <mat-radio-button
                    (click)="
                      selectedOption('p');
                      direccionFormLocal.reset();
                      optionDpto(addrsPersonal.id)
                    "
                    [value]="i"
                    >{{ addrsPersonal.direccion }}</mat-radio-button
                  >
                </mat-list-item>
              </mat-list>
            </mat-radio-group>
          </form>
          <button
            mat-stroked-button
            (click)="addresLocal = false; addresPersonal = false"
          >
            Ver todas las direcciones
          </button>
        </mat-card-content>
        <mat-card-actions fxLayoutAlign="center center" fxLayout="row wrap">
          <div>
            {{ precioActual | currency: "COP":"symbol-narrow":"1.0-0" }}
          </div>
          <button mat-stroked-button (click)="openModalAddrs()">
            Agregar dirección
          </button>
          <button
            mat-button
            matStepperNext
            type="button"
            [disabled]="
              !direccionFormLocal.valid && !direccionFormPersonal.valid
            "
            (click)="getDataCotizacion()"
          >
            Siguiente
          </button>
        </mat-card-actions>
      </mat-card>
    </mat-step>
    <mat-step [completed]="paymentForm.valid">
      <ng-template matStepLabel>Realizar pago</ng-template>
      <div fxLayoutAlign="center center" fxLayout="column">
        <h5><sub>Resumen de su Cotización</sub></h5>
        <mat-list
          class="datos-user"
          style="width: 100%"
          fxLayoutAlign="start center"
          fxLayout="row wrap"
          role="list"
          *ngIf="dataUserCot.length"
        >
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
            <span>Nombres:</span>
            <span
              style="margin-left: 8px"
              *ngIf="dataUserCot[0].Nombre.length > 0"
            >
              {{ dataUserCot[0].Nombre }}
            </span>
            <mat-form-field
              *ngIf="dataUserCot[0].Nombre.length == 0"
              style="margin-left: 8px"
            >
              <mat-label>Digité su Nombre aquí</mat-label>
              <input matInput placeholder="Nombres" #namesForm />
              <button
                [disabled]="namesForm.value.length == 0"
                matSuffix
                mat-icon-button
                (click)="saveInpt({ nombres: namesForm.value })"
              >
                <mat-icon>done</mat-icon>
              </button>
            </mat-form-field>
          </mat-list-item>
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100"
            >Apellidos:
            <span
              style="margin-left: 8px"
              *ngIf="dataUserCot[0].Apellidos.length > 0"
              >{{ dataUserCot[0].Apellidos }}</span
            >
            <mat-form-field
              *ngIf="dataUserCot[0].Apellidos.length == 0"
              style="margin-left: 8px"
            >
              <mat-label>Digité sus Apellidos Aquí</mat-label>
              <input matInput placeholder="Apellidos" #apellidosForm />
              <button
                [disabled]="apellidosForm.value.length == 0"
                matSuffix
                mat-icon-button
                (click)="saveInpt({ apellidos: apellidosForm.value })"
              >
                <mat-icon>done</mat-icon>
              </button>
            </mat-form-field>
          </mat-list-item>
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100"
            >Usuario: {{ dataUserCot[0].usuario }}</mat-list-item
          >
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100"
            >Email: {{ dataUserCot[0].email }}</mat-list-item
          >
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100"
            >Identificación: {{ dataUserCot[0].identificacion }}</mat-list-item
          >
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100"
            >Teléfono:
            <span
              *ngIf="dataUserCot[0].telefono !== ('' || null)"
              style="margin-left: 8px"
              >{{ dataUserCot[0].telefono }}</span
            >
            <mat-form-field
              *ngIf="dataUserCot[0].telefono == ('' || null)"
              style="margin-left: 8px"
            >
              <mat-label>Digité su Teléfono Aquí</mat-label>
              <input matInput placeholder="Teléfono" #telefonoForm />
              <button
                [disabled]="telefonoForm.value.length == 0"
                matSuffix
                mat-icon-button
                (click)="saveInpt({ telefono: telefonoForm.value })"
              >
                <mat-icon>done</mat-icon>
              </button>
            </mat-form-field>
          </mat-list-item>
          <mat-list-item
            role="listitem"
            fxFlex.gt-sm="50"
            fxFlex="100"
            *ngIf="
              dataUserCot[0].departamento !== undefined &&
              (this.direccionFormLocal.controls.direccion.value == 0 ||
                this.direccionFormLocal.controls.direccion.value == 1) == false
            "
            >Departamento: {{ dataUserCot[0].departamento }}</mat-list-item
          >
          <mat-list-item
            role="listitem"
            fxFlex.gt-sm="50"
            fxFlex="100"
            *ngIf="
              dataUserCot[0].ciudad !== undefined &&
              (this.direccionFormLocal.controls.direccion.value == 0 ||
                this.direccionFormLocal.controls.direccion.value == 1) == false
            "
            >Ciudad: {{ dataUserCot[0].ciudad }}</mat-list-item
          >
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100"
            >Dirección: {{ dataUserCot[0].direccion.direccion }}</mat-list-item
          >
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100"
            >Emoción a despertar:
            <ng-container *ngFor="let emocion of que_quieres[0]; let i = index">
              <span
                *ngIf="emocion.id == dataUserCot[0].EmocionDespertarArte"
                style="margin-left: 8px"
              >
                {{ emocion.que }}
              </span></ng-container
            >
          </mat-list-item>
          <mat-list-item
            *ngIf="cotizadorForm.controls.otroParaqueloquiere.value == ''"
            role="listitem"
            fxFlex.gt-sm="50"
            fxFlex="100"
            >Para que lo quiere:
            <ng-container *ngFor="let paraque of paraQue[0]; let i = index">
              <span
                *ngIf="paraque.id == dataUserCot[0].paraqueloquiere"
                style="margin-left: 8px"
              >
                {{ paraque.para_que }}
              </span></ng-container
            >
          </mat-list-item>

          <mat-list-item
            class="referencia-get"
            *ngIf="cotizadorForm.controls.otroParaqueloquiere.value !== ''"
            role="listitem"
            [fxFlex.gt-sm]="
              cotizadorForm.controls.otroParaqueloquiere.value !== '' ? 100 : 50
            "
            fxFlex="100"
          >
            <div fxLayout="column">
              <span> Para que lo quiere: </span>
              <span
                >{{ cotizadorForm.controls.otroParaqueloquiere.value }}
              </span>
            </div>
          </mat-list-item>

          <mat-list-item
            class="referencia-get"
            role="listitem"
            fxFlex.gt-sm="50"
            fxFlex="100"
            >Referencia:
            <ng-container *ngFor="let ref of imgags; let i = index">
              <span *ngIf="ref.id == dataUserCot[0].referencia">
                <sub style="margin-left: 8px">{{ ref.referencia }}</sub
                ><br />
                <img
                  style="width: 80px; margin-left: 8px"
                  [src]="env + ref.imagen"
                  [alt]="ref.bastidor"
                /> </span
            ></ng-container>
          </mat-list-item>
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100"
            >Orientación del cuadro:
            <ng-container
              *ngFor="let orientacion of orientaciones; let i = index"
            >
              <span
                style="margin-left: 8px"
                *ngIf="i == dataUserCot[0].orientacion"
                >{{ orientacion }}
              </span>
            </ng-container>
          </mat-list-item>
          <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100"
            >Dimensión del cuadro:
            <ng-container *ngFor="let size of dimension[0]">
              <span
                style="margin-left: 8px"
                *ngIf="size.id == dataUserCot[0].dimension"
                >{{ size.dimension }}
              </span>
            </ng-container>
          </mat-list-item>
        </mat-list>
      </div>
      <br /><br />
      <form
        fxLayoutAlign="center center"
        fxLayout="row wrap"
        fxLayoutGap="20px grid"
        [formGroup]="paymentForm"
      >
        <div
          fxFlex="100"
          fxLayout="row wrap"
          fxLayoutAlign="start center"
          fxLayoutGap.gt-xs="6px"
        >
          <mat-form-field appearance="outline" fxFlex="125px">
            <mat-label>Cantidad</mat-label>
            <input type="number" matInput formControlName="cantidadaCotizar" />
            <mat-error *ngIf="paymentForm.controls.cantidadaCotizar.errors?.min"
              >El pedido minimo es de 1 producto</mat-error
            >
          </mat-form-field>

          <mat-form-field fxFlex fxLayout="column" appearance="outline">
            <mat-label>Seleccione Forma de Pago</mat-label>
            <mat-select
              formControlName="formaDePago"
              placeholder="Forma de Pago"
            >
              <mat-option
                *ngFor="let fPago of FormasDePago"
                [value]="fPago"
                (click)="calculePorcent(fPago)"
                >{{ fPago }}</mat-option
              >
            </mat-select>
            <mat-error *ngIf="paymentForm.controls.formaDePago.errors"
              >Seleccione Forma de Pago</mat-error
            >
          </mat-form-field>
        </div>
        <p fxFlex="100" *ngIf="paymentForm.controls.formaDePago.value">
          {{ paymentForm.controls.formaDePago.value }}
        </p>
        <div fxFlex="100">
          <mat-divider></mat-divider>
        </div>
        <p fxFlex="100">
          El tiempo de despacho del producto es 8 días hábiles desde nuestras
          instalaciones, para los productos entregados en el destino indicado
          dependerá de los tiempo manejados por la transportadora y condiciones
          externas a nuestro manejo.
        </p>
        <mat-form-field
          [fxFlex]="
            paymentForm.controls.fechaEntrega.value == 'Especial' ? '50' : '100'
          "
          fxLayout="column"
          class="full-width-input"
          appearance="outline"
        >
          <mat-label>Fecha de Entrega</mat-label>
          <mat-select
            formControlName="fechaEntrega"
            placeholder="Forma de Pago"
          >
            <mat-option
              *ngFor="let fEntrega of fechasEntrega"
              [value]="fEntrega"
              (click)="deliveryDate(fEntrega)"
              >{{ fEntrega }}</mat-option
            >
          </mat-select>
          <mat-error *ngIf="paymentForm.controls.fechaEntrega.errors"
            >Seleccione Forma de Pago</mat-error
          >
        </mat-form-field>

        <mat-form-field
          *ngIf="paymentForm.controls.fechaEntrega.value == 'Especial'"
          fxFlex="50"
          appearance="outline"
        >
          <input
            matInput
            [min]="minDate"
            [matDatepicker]="picker"
            [matDatepickerFilter]="myFilter"
            placeholder="Seleccione día de entrega"
            formControlName="diaEntrega"
          />
          <mat-datepicker-toggle
            matSuffix
            [for]="picker"
          ></mat-datepicker-toggle>
          <mat-datepicker touchUi #picker disabled="false"></mat-datepicker>
        </mat-form-field>
        <!-- {{ (this.paymentForm.controls.diaEntrega.value).toLocaleDateString().slice(0,10) }} -->
        <p fxFlex="100">
          {{
            paymentForm.controls.fechaEntrega.value == "Especial"
              ? "fecha de despacho no menor a 4 días"
              : paymentForm.controls.fechaEntrega.value == "Estándar"
              ? "De acuerdo a la transportadora a nivel nacional e internacional"
              : ""
          }}
        </p>
        <mat-checkbox class="politicas" formControlName="politicas"
          >Está de acuerdo y acepta nuestras <a>politicas</a> para el
          tratamiento de la información suministrada</mat-checkbox
        >

        <div
          fxFlex="100"
          fxLayout="row wrap"
          fxLayoutGap="6px"
          fxLayoutAlign="space-between center"
        >
          <!-- {{this.dataUserCot[0].Nombre.length !== 0 && this.dataUserCot[0].Apellidos.length !== 0 && this.dataUserCot[0].Telefono.length !== 0}} -->

          <div
            fxLayout="row wrap"
            fxLayoutAlign="center end"
            fxLayoutGap="6px grid"
          >
            <div *ngIf="this.valorPendiente > 0">
              <h5>
                <sub style="color: rgba(5, 5, 5, 0.3)">Valor pendiente</sub>
              </h5>
              <p style="color: rgba(5, 5, 5, 0.3)">
                {{
                  this.valorPendiente *
                    (paymentForm.controls.cantidadaCotizar.value == "" ||
                    paymentForm.controls.cantidadaCotizar.value <= 1
                      ? 1
                      : paymentForm.controls.cantidadaCotizar.value)
                    | currency: "COP":"symbol-narrow":"1.0-0"
                }}
              </p>
            </div>
            <div>
              <h5>
                <sub>Total a pagar</sub>
              </h5>
              <p id="element-value">
                {{
                  precioActual *
                    (paymentForm.controls.cantidadaCotizar.value == "" ||
                    paymentForm.controls.cantidadaCotizar.value <= 1
                      ? 1
                      : paymentForm.controls.cantidadaCotizar.value)
                    | currency: "COP":"symbol-narrow":"1.0-0"
                }}
              </p>
            </div>
          </div>
          <div>
            <button
              *ngIf="loadMakeCotizacion == false"
              mat-stroked-button
              [disabled]="
                !paymentForm.valid ||
                paymentForm.controls.politicas.value == false ||
                paymentForm.controls.diaEntrega.value == false
              "
              (click)="generarCotizacion()"
            >
              Realizar Pago
            </button>
            <mat-spinner
              diameter="30"
              *ngIf="loadMakeCotizacion == true"
            ></mat-spinner>
          </div>
        </div>
      </form>
    </mat-step>
  </mat-horizontal-stepper>
</div>
<!-- {{idCotizacion.length > 0}} -->
<!-- {{precioActual *
                    (paymentForm.controls.cantidadaCotizar.value == "" ||
                    paymentForm.controls.cantidadaCotizar.value <= 1
                      ? 1
                      : paymentForm.controls.cantidadaCotizar.value)
                    | currency: "COP":"symbol-narrow":"1.0-0"}} -->
<form
  id="formularioWompi"
  style="display: none"
  action="https://checkout.wompi.co/p/"
  method="GET"
  #formWomp
>
  <!-- <input
    type="hidden"
    name="public-key"
    value="pub_prod_9oEMruIMC7666JrX8cMiiGEPrQ6ILpLN"
  /> -->

  <input
    type="hidden"
    name="public-key"
    value="pub_prod_9oEMruIMC7666JrX8cMiiGEPrQ6ILpLN"
  />

  <input type="hidden" name="currency" value="COP" />
  <input
    class="valorapagar"
    type="hidden"
    name="amount-in-cents"
    [value]="this.getTotal + '00'"
  />
  <input type="hidden" name="reference" [value]="this.orderNo[0].invoiceNo" />

  <input
    type="hidden"
    name="redirect-url"
    value="http://localhost:4200/response"
  />
  <button type="submit">Pagar con Wompi</button>
</form>
